# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
from aliyunsdkworkorder.endpoint import endpoint_data

class ReplyTicketRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Workorder', '2021-06-10', 'ReplyTicket')
		self.set_method('POST')

		if hasattr(self, "endpoint_map"):
			setattr(self, "endpoint_map", endpoint_data.getEndpointMap())
		if hasattr(self, "endpoint_regional"):
			setattr(self, "endpoint_regional", endpoint_data.getEndpointRegional())

	def get_Content(self): # String
		return self.get_body_params().get('Content')

	def set_Content(self, Content):  # String
		self.add_body_params('Content', Content)
	def get_FileNameList(self): # Array
		return self.get_query_params().get('FileNameList')

	def set_FileNameList(self, FileNameList):  # Array
		for index1, value1 in enumerate(FileNameList):
			self.add_query_param('FileNameList.' + str(index1 + 1), value1)
	def get_Encrypt(self): # Boolean
		return self.get_body_params().get('Encrypt')

	def set_Encrypt(self, Encrypt):  # Boolean
		self.add_body_params('Encrypt', Encrypt)
	def get_TicketId(self): # String
		return self.get_body_params().get('TicketId')

	def set_TicketId(self, TicketId):  # String
		self.add_body_params('TicketId', TicketId)
